juzu.request

## Class ResponseParameter

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<String>
    - - juzu.request.ResponseParameter

- All Implemented Interfaces:
    Iterable<String>, Collection<String>, List<String>

      public class ResponseParameter
      extends AbstractList<String>

  Author:
    Julien Viet

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<M extends Map<String,ResponseParameter>> M` | `addTo(M map)`
    `static ResponseParameter` | `create(Encoding encoded, String name, String... value)`
    `static ResponseParameter` | `create(Encoding encoded, String name, String value)`
    `static ResponseParameter` | `create(String name, String... value)`
    `static ResponseParameter` | `create(String name, String value)`
    `String` | `get(int index)`
    `Encoding` | `getEncoding()`
    `String` | `getName()`
    `int` | `size()`
    `String[]` | `toArray()`
    `String` | `toString()`

    - ### Methods inherited from class java.util.AbstractList

      `add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, set, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray`

- - ### Method Detail

    - #### create

          public static ResponseParameter create(String name,
                                 String value)

    - #### create

          public static ResponseParameter create(String name,
                                 String... value)

    - #### create

          public static ResponseParameter create(Encoding encoded,
                                 String name,
                                 String value)

    - #### create

          public static ResponseParameter create(Encoding encoded,
                                 String name,
                                 String... value)

    - #### get

          public String get(int index)

      Specified by:
        `get` in interface `List<String>`
      Specified by:
        `get` in class `AbstractList<String>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<String>`
      Specified by:
        `size` in interface `List<String>`
      Specified by:
        `size` in class `AbstractCollection<String>`

    - #### addTo

          public <M extends Map<String,ResponseParameter>> M addTo(M map)

    - #### getEncoding

          public Encoding getEncoding()

    - #### getName

          public String getName()

    - #### toArray

          public String[] toArray()

      Specified by:
        `toArray` in interface `Collection<String>`
      Specified by:
        `toArray` in interface `List<String>`
      Overrides:
        `toArray` in class `AbstractCollection<String>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractCollection<String>`

Copyright © 2013 eXo Platform SAS. All rights reserved.